Name:           sugar-typing-turtle
Version:        30
Release:        2%{?dist}
Summary:        A multilingual animated touch typing trainer

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.sugarlabs.org/go/Activities/Typing_Turtle
Source0:        http://download.sugarlabs.org/sources/honey/TypingTurtle/TypingTurtle-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  sugar-toolkit-gtk3
BuildRequires:  gettext
Requires:       sugar >= 0.97.0

%description
This Sugar activity features a sequence of lessons designed to gradually
introduce students to touch typing, teaching them a few keys at a time
until they have mastered the entire keyboard.

Fun graphics, sounds and characters aim for an entertaining experience.
An on-screen keyboard with overlaid hand positions shows the correct way
to press each key, encouraging good typing habits.


%prep
%setup -q -n TypingTurtle-%{version}

# remove unnecessary libs and files
rm -rf .pydevproject .project strace.sh

# calm rpmlint down and fix permissions
sed -i -e '1d;2i#!/usr/bin/python' typingturtle.py
sed -i -e '/^#!\//, 1d' editlessonscreen.py editlessonlistscreen.py

%build
python ./setup.py build

%install
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.laptop.community.TypingTurtle


%files -f org.laptop.community.TypingTurtle.lang
%doc COPYING NEWS
%{sugaractivitydir}/TypingTurtle.activity


%changelog
* Fri Sep 28 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 30-2
- Update tar file and other updates for gtk3

* Wed Sep 26 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 30-1
- Release 30

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 2 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 29-1
- Release 29

* Sun Oct  2 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 28-1
- Release 28

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 26-4
- recompiling .py files against Python 2.7 (rhbz#623389)

* Thu Mar 18 2010 Sebastian Dziallas <sebastian@when.com> - 26-3
- don't remove port

* Wed Jan 27 2010 Sebastian Dziallas <sebastian@when.com> - 26-2
- remove hidden files

* Wed Jan 27 2010 Sebastian Dziallas <sebastian@when.com> - 26-1
- initial packaging
